import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const HelpIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
        <path d="M12.0005 0C5.37529 0 0.000488281 5.36802 0.000488281 11.9937C0.000488281 18.6257 5.37529 24 12.0005 24C18.6293 24 23.9995 18.6256 23.9995 11.9937C23.9996 5.36802 18.6293 0 12.0005 0ZM12.8556 18.6708C12.5769 18.9188 12.2539 19.0435 11.888 19.0435C11.5095 19.0435 11.1792 18.9211 10.8974 18.6758C10.6151 18.4309 10.4736 18.0881 10.4736 17.6476C10.4736 17.2568 10.6105 16.928 10.8834 16.6614C11.1562 16.3949 11.491 16.2616 11.888 16.2616C12.2788 16.2616 12.6077 16.3949 12.8746 16.6614C13.1412 16.928 13.2749 17.2568 13.2749 17.6476C13.2744 18.0817 13.1348 18.4228 12.8556 18.6708ZM16.3309 10.0553C16.1167 10.4523 15.8624 10.7947 15.5674 11.0834C15.2733 11.3721 14.7444 11.8573 13.9809 12.5394C13.7704 12.7318 13.601 12.9008 13.4741 13.0462C13.3471 13.1922 13.2523 13.3254 13.1904 13.4465C13.128 13.5675 13.0802 13.6886 13.0463 13.8096C13.0124 13.9302 12.9613 14.143 12.8922 14.447C12.7748 15.0921 12.4057 15.4146 11.7854 15.4146C11.4629 15.4146 11.1919 15.3094 10.9709 15.0984C10.7509 14.8874 10.6412 14.5744 10.6412 14.1588C10.6412 13.638 10.722 13.1866 10.8833 12.805C11.0437 12.4232 11.2583 12.0885 11.5248 11.7998C11.7918 11.5112 12.1513 11.1687 12.6044 10.7717C13.0015 10.4243 13.2884 10.1623 13.465 9.98563C13.6421 9.80857 13.7907 9.61162 13.9113 9.39476C14.0329 9.17747 14.0925 8.94211 14.0925 8.68781C14.0925 8.19136 13.9087 7.77305 13.5391 7.43199C13.1701 7.09094 12.6939 6.92016 12.1107 6.92016C11.4282 6.92016 10.9258 7.09227 10.6033 7.4365C10.2807 7.78072 10.0083 8.28756 9.78472 8.95751C9.57331 9.65863 9.17307 10.0091 8.58442 10.0091C8.23703 10.0091 7.94388 9.88671 7.70491 9.64185C7.46638 9.39699 7.34712 9.13184 7.34712 8.84636C7.34712 8.25727 7.53641 7.66007 7.91453 7.0552C8.2931 6.45033 8.84512 5.94933 9.57103 5.5527C10.2965 5.15562 11.1436 4.95683 12.1107 4.95683C13.0101 4.95683 13.8038 5.12305 14.4923 5.45511C15.1807 5.78666 15.7129 6.23798 16.0883 6.80895C16.4632 7.37948 16.6511 7.99974 16.6511 8.66969C16.652 9.19603 16.545 9.65819 16.3309 10.0553Z"
              fill="white"
              opacity={0.5}
        />
    </Icon>
);

HelpIcon.defaultProps = {
    originalWidth: 24,
    originalHeight: 24,
};

HelpIcon.propTypes = {
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default HelpIcon;
